Page MenuHomeFreeBSD

asmc: Add Support for MacBookAir 7,1 and 7,2
ClosedPublic

Authored by dab on Nov 30 2018, 5:31 PM.

Details

Summary

Add support for MacBook Air 7,1 and 7,2 models to the asmc module.

Bugzilla:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=226172

Test Plan

Tested locally on a MacbookAir 2015 model (7,2) as follows;

$ kldload asmc

$ dmesg | tail -n1
asmc0: <Apple SMC MacBook Air 13-inch (Early 2015)> port 0x300-0x31f iomem 0xfef00000-0xfef0ffff irq 6 on acpi0

$ sysctl -a | grep asmc
dev.asmc.0.light.control: 0
dev.asmc.0.light.right: 0
dev.asmc.0.light.left: 0
dev.asmc.0.temp.palmrest: 30
dev.asmc.0.temp.mainboardproximity: 27
dev.asmc.0.temp.heatpipe: 31
dev.asmc.0.temp.airflowproximity: 29
dev.asmc.0.temp.wirelessproximity: 32
dev.asmc.0.temp.pchdie: 39
dev.asmc.0.temp.memorybank: 34
dev.asmc.0.temp.thunderboltproximity: 30
dev.asmc.0.temp.pecicpu: 42
dev.asmc.0.temp.pecisa: 42
dev.asmc.0.temp.pecigpu: 43
dev.asmc.0.temp.cpucore2: 43
dev.asmc.0.temp.cpucore1: 43
dev.asmc.0.temp.cpuproximity: 36
dev.asmc.0.temp.cputemp2: 43
dev.asmc.0.temp.cputemp1: 42
dev.asmc.0.temp.enclosure3: 27
dev.asmc.0.temp.enclosure2: 28
dev.asmc.0.temp.enclosure1: 28
dev.asmc.0.fan.0.targetspeed: 1200
dev.asmc.0.fan.0.maxspeed: 6500
dev.asmc.0.fan.0.minspeed: 1200
dev.asmc.0.fan.0.speed: 1185
dev.asmc.0.fan.0.id: Exhaust
dev.asmc.0.%parent: acpi0
dev.asmc.0.%pnpinfo: _HID=APP0001 _UID=0
dev.asmc.0.%location: handle=\_SB_.PCI0.LPCB.SMC_
dev.asmc.0.%driver: asmc
dev.asmc.0.%desc: Apple SMC MacBook Air 13-inch (Early 2015)
dev.asmc.%parent:

Also added to "/boot/loader.conf" to load asmc module at boot;

# Load Apple SMC (asmc) module
asmc_load="YES"

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dab added a subscriber: dab.Nov 30 2018, 11:26 PM
dab added a comment.Nov 30 2018, 11:30 PM

@james.wright_jigsawdezign.com, do you need someone to help get this committed? I could do that if so. Can you update the review with information on testing you've done?

james.wright_digital-chaos.com edited the test plan for this revision. (Show Details)
james.wright_digital-chaos.com edited the test plan for this revision. (Show Details)
dab commandeered this revision.

I'll take over this diff and get it committed to -CURRENT in the next few days.

dab edited the summary of this revision. (Show Details)Dec 1 2018, 6:47 PM
dab updated this revision to Diff 51478.

After commandeering the revision, updating it to make sure my diff is
the same as the previously submitted diff.

dab added subscribers: adrian, rpaulo.

Adding @adrian and @rpaulo as reviewers, as they have been in this code before and might have input.

This revision was not accepted when it landed; it landed in state Needs Review.Dec 11 2018, 4:36 PM
This revision was automatically updated to reflect the committed changes.